petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchPostCheckFunction

form of function that is called after line search is complete

### Synopsis

    #include <petscsnes.h>
    SNESLineSearchPostheckFunction(SNESLineSearch linesearch,Vec x,Vec y,  Vec w, *changed_y, PetscBool *changed_w);

### Input Parameters

| x | - old solution vector Many br
| y | - search direction vector Many br
| w | - new solution vector Many br
| changed_y | - indicates that the line search changed y Many br
| changed_w | - indicates that the line search changed w Many br

Note: This is NOTE a PETSc function, rather it documents the calling sequence of functions passed to SNESLineSearchSetPostCheck() Many brand SNESLineSearchGetPostCheck() Many br

Many br

### See Also

SNESLineSearchSetPreCheck(), SNESLineSearchSetPostCheck(), SNESLineSearchGetPreCheck(), SNESLineSearchGetPostCheck()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages